See the top rated post in this thread. Click here

Results 1 to 2 of 2

Thread: Clip/trim and delete

  1. #1
    All AUGI, all the time
    Join Date
    2009-11
    Location
    Raleigh, NC
    Posts
    937
    Login to Give a bone
    0

    Default Clip/trim and delete

    I have forgotten the command name that allows a user to clip and also delete all entities in/out of a boundary.

  2. #2
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,658
    Login to Give a bone
    1

    Default Re: Clip/trim and delete

    For the trim part the Express Tool Extrim does a nice job.
    I use a slightly modified version of azarko's lisp which requires Express Tools to be loaded to TrimErase outside: https://forums.augi.com/showthread.p...l=1#post736542
    Code:
    ;| https://forums.augi.com/showthread.php?65088-A-routine-to-erase-everything-outside-of-a-selection-window&p=736542&viewfull=1#post736542
     Requires Express tools
     by azarko 7/31/2007
     TrimErase Outside
     Trim and erase everything outside of closed polyline without curved segments.
    (load "ExtrimEraseOutside") ExtrimEraseOutside
     |;
    (defun C:ExtrimEraseOutside (  / en ss lst ssall bbox)
    (vl-load-com)
      (if (and (setq en (car(entsel "\nSelect closed polyline: ")))
               (wcmatch (cdr(assoc 0 (entget en))) "*POLYLINE"))
        (progn
          (command "_.undo" "_begin") 
          (setq bbox (ACET-ENT-GEOMEXTENTS en))
          (setq bbox (mapcar '(lambda(x)(trans x 0 1)) bbox))
          (setq lst (ACET-GEOM-OBJECT-POINT-LIST en 1e-3))
          (ACET-SS-ZOOM-EXTENTS (ACET-LIST-TO-SS (list en)))
          (command "_.Zoom" "0.95x")
          (if (null etrim)(load "extrim.lsp"))
          (etrim en (polar
                      (car bbox)
                      (angle (car bbox)(cadr bbox))
                      (* (distance (car bbox)(cadr bbox)) 1.1)
                    )
          )
          (if (and
                (setq ss (ssget "_CP" lst))
                (setq ssall (ssget "_X" (list (assoc 410 (entget en)))))
              )
    	  (progn
    	    (setq lst (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
    	    (foreach e1 lst (ssdel e1 ssall))
    	    (ACET-SS-ENTDEL ssall)
              )
          )
          (command "_.undo" "_end")
        )
      )
    )
    No AutoCAD command to do that as far as I know.

Similar Threads

  1. Trim to auto select all boundaries and directly go into trim mode
    By Wish List System in forum AutoCAD Wish List
    Replies: 7
    Last Post: 2016-08-17, 02:41 AM
  2. 2015: Clip and delete
    By tim_newsome in forum AutoCAD General
    Replies: 1
    Last Post: 2014-10-29, 07:08 PM
  3. How do to clip (trim)....
    By BCrouse in forum ACA General
    Replies: 7
    Last Post: 2006-10-06, 05:03 PM
  4. Columns and beams: to trim or not to trim?
    By patricks in forum Revit Architecture - General
    Replies: 0
    Last Post: 2006-02-16, 03:07 PM
  5. Clip-in/clip-out option for XREFS
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 1
    Last Post: 2005-10-27, 01:11 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •